import requests
from logging import StreamHandler


class Gotify:
    def __init__(self, url, token):
        self.url = url
        self.token = token

    def send(self, title, message, priority=5):
        files = {
            "title": (None, title),
            "message": (None, message),
            "priority": (None, priority),
        }
        response = requests.post(f"{self.url}/message?token={self.token}", files=files)


class GotifyWebhookHandler(StreamHandler):
    def __init__(self, url, token):
        StreamHandler.__init__(self)
        self.gotify = Gotify(url, token)

    def emit(self, record):
        msg = self.format(record)
        self.gotify.send("wifi-voucher", msg)


#        try:
#
#            response = requests.post(f"{self.url}/message?token={self.token}", files=files)
#        except requests.exceptions.RequestException as err:
#            print(f"Gotify logging: {err}")
#
